> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get a WhatsApp campaign

GET https://api.brevo.com/v3/whatsappCampaigns/{campaignId}

You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below.
[Activating Whatsapp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your accountThis API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information.
[Get all the Lists](https://developers.brevo.com/reference/getlists-1)
[Get all the Segments](https://developers.brevo.com/reference/getsegments)

Reference: https://developers.brevo.com/reference/get-whats-app-campaign

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `campaignId` (long, required) — Id of the campaign

## Response

### 200

Get whatsApp campaign information on the basis of campaignId

- `campaignName` (string, required) — Name of the WhatsApp Campaign
- `campaignStatus` (enum, required) — Status of the WhatsApp Campaign
  - Allowed values: `draft`, `scheduled`, `pending`, `approved`, `running`, `suspended`, `rejected`, `sent`
- `createdAt` (string, required) — Creation UTC date-time of the WhatsApp campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)
- `id` (long, required) — ID of the WhatsApp Campaign
- `modifiedAt` (string, required) — UTC date-time of last modification of the WhatsApp campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)
- `recipients` (object, required) — Recipients of the WhatsApp Campaign
  - `excludedLists` (list of long, optional) — List of excluded list IDs
  - `includedLists` (list of long, optional) — List of included list IDs
  - `segments` (list of long, optional) — List of segment IDs
  - `type` (string, optional) — Type of recipients (list or segment)
- `senderNumber` (string, required) — Sender of the WhatsApp Campaign
- `template` (object, required)
  - `body_variables` (list of object, optional) — array of variables item variables
    - `datatype` (string, optional)
    - `default` (string, optional)
    - `name` (string, optional)
  - `button_type` (string, optional)
  - `category` (string, optional) — description of the template
  - `components` (list of object, optional) — array of component item objects
    - `text` (string, optional)
    - `type` (string, optional)
  - `contains_button` (boolean, optional)
  - `display_header` (boolean, optional)
  - `header_type` (string, optional) — type of header
  - `header_variables` (list of object, optional) — array of variables item object
    - `datatype` (string, optional)
    - `default` (string, optional)
    - `name` (string, optional)
  - `hide_footer` (boolean, optional)
  - `language` (string, optional) — language of the template
  - `name` (string, optional) — name of the template
- `scheduledAt` (string, optional) — UTC date-time on which WhatsApp campaign is scheduled. Should be in YYYY-MM-DDTHH:mm:ss.SSSZ format
- `stats` (object, optional)
  - `delivered` (integer, required)
  - `notSent` (integer, required)
  - `read` (integer, required)
  - `sent` (integer, required)
  - `unsubscribe` (integer, required)

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "campaignName": "Test WhatsApp Campaign",
  "campaignStatus": "sent",
  "createdAt": "2022-12-26T06:50:00Z",
  "id": 1672035851100690,
  "modifiedAt": "2022-12-26T08:50:00Z",
  "recipients": {
    "excludedLists": [
      45
    ],
    "includedLists": [
      22
    ],
    "type": "list"
  },
  "senderNumber": "9368207029",
  "template": {
    "button_type": "CALL_TO_ACTION",
    "category": "MARKETING",
    "components": [
      {
        "text": "making it look like readable English.",
        "type": "BODY"
      },
      {
        "type": "BUTTONS",
        "buttons": [
          {
            "text": "vLorem Ipsum is simply du",
            "type": "URL",
            "url": "app.brevo"
          },
          {
            "phone_number": "+918800613137",
            "text": "Lorem Ipsum is simply dum",
            "type": "PHONE_NUMBER"
          }
        ]
      }
    ],
    "contains_button": true,
    "display_header": false,
    "header_type": "text",
    "header_variables": [
      {
        "datatype": "text",
        "default": "INVALID HEADER",
        "name": "FIRSTNAME",
        "index": 1
      }
    ],
    "language": "en",
    "name": "official_campaign8",
    "body_variable": [],
    "header_footer": true
  },
  "scheduledAt": "2022-12-27T09:50:00Z",
  "stats": {
    "delivered": 3,
    "notSent": 4,
    "read": 2,
    "sent": 3,
    "unsubscribe": 0
  }
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.whatsAppCampaigns.getWhatsAppCampaign({
        campaignId: 1,
    });
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.whats_app_campaigns.get_whats_app_campaign(
    campaign_id=1,
)

```

```php response
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->whatsAppCampaigns->getWhatsAppCampaign(
    1,
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/whatsappCampaigns/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/whatsappCampaigns/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/whatsappCampaigns/1")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/whatsappCampaigns/1");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/whatsappCampaigns/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```